# RPM specfile for libvorbis module
# Generated Mon Mar 25 22:37:33 2002 GMT by Ximian build system
# $Id: bb_do,v 1.179 2002/03/15 23:19:54 thunder Exp $
# from $Id: ximian-build.conf,v 1.26 2002/03/19 21:59:00 dobey Exp $

%define nam	libvorbis
%define ver	1.0
%define ximrev	3

Name:     	libvorbis0
Version: 	1.0
Release:	0.rc3.1.ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.xiph.org/
Source0:	libvorbis-1.0rc3.tar.gz
Patch0:		libvorbis-remove-debdir.patch
Summary:	The Vorbis General Audio Compression Codec
Group:		Libraries/Multimedia
Provides:	libvorbis
Provides:	ximian-libvorbis0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	oggvorbis

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%files
%defattr(-, root, root)
%doc README
/usr/lib/libvorbis.so.*
/usr/lib/libvorbisfile.so.*
/usr/lib/libvorbisenc.so.*


%post
ldconfig

%package -n libvorbis0-devel
Summary:	Development library for OGG Vorbis
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	libvorbis-devel = %{PACKAGE_VERSION}
Provides:	ximian-libvorbis0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libvorbis0-devel
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz,
 16+ bit, polyphonic) audio and music at fixed and variable bitrates 
 from 16 to 128 kbps/channel. This places Vorbis in the same class as 
 audio representations including MPEG-1 audio layer 3, MPEG-4 
audio (AAC and TwinVQ), and PAC.

%files -n libvorbis0-devel
%defattr(-, root, root)
/usr/share/aclocal/vorbis.m4
/usr/include/vorbis/*.h
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*.so
/usr/share/doc/libvorbis-*/


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libvorbis-1.0rc3
    ;;
all)
%setup  -q -n libvorbis-1.0rc3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --with-ogg-prefix=/usr
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Mar 25 2002 Ximian, Inc.

- Version: 1.0-0.rc3.1.ximian.3
- Summary: New build.
- New automated build.

* Fri Mar 15 2002 Ximian, Inc.

- Version: 1.0rc3-ximian.3
- Summary: New build.
- New automated build.

